<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class DobTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('dob')
            ->label('تاریخ تولد')
            ->sortable()
            ->jalaliDateTime()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
